Loading...
Searching...
No Matches
jni::DefaultRefDeleter< DeleteRef > Class Template Reference

`#include <ownership.hpp>`

## Public Member Functions

| DefaultRefDeleter ()=default
| DefaultRefDeleter (JNIEnv &e)
void | operator() (jobject *p) const

## Constructor & Destructor Documentation

## DefaultRefDeleter() [1/2]

template<RefDeletionMethod DeleteRef>

jni::DefaultRefDeleter< DeleteRef >::DefaultRefDeleter | ( |  | ) |

default

## DefaultRefDeleter() [2/2]

template<RefDeletionMethod DeleteRef>

jni::DefaultRefDeleter< DeleteRef >::DefaultRefDeleter | ( | JNIEnv & | e | ) |

inline

## Member Function Documentation

## operator()()

template<RefDeletionMethod DeleteRef>

void jni::DefaultRefDeleter< DeleteRef >::operator() | ( | jobject * | p | ) | const

inline

The documentation for this class was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/jni/ownership.hpp